API DocumentationManufacturer camspec controller
Download CAMSPEC archive for requisitions without tracking a work order
POST
Creates and downloads a CAMSPEC archive (.camspec file) containing manufacturing constraints and CAD files for the specified requisitions, without persisting any manifest mapping
Phasio API Bearer Tokenheader
AuthorizationBearer <token>application/json- body
CAMSPEC download request containing requisition IDs and quantities, with no work-order tracking
requisitionEntries*array<>fileType*stringValue in
"ORIGINAL_CAD_FILE""CORE_GEOMETRY""THUMBNAIL""PDF_DESIGN_FILE""WALL_THICKNESS_ANALYSIS""DRAWING""IMAGE""DOCUMENT"priority*integerFormat
int32preferProductionFile*booleanCAMSPEC archive created successfully
application/zipcurl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/camspec/download' \ -H 'Content-Type: application/json' \ -d '{ "requisitionEntries": [ { "requisitionId": 0, "quantity": 0 } ], "fileType": "ORIGINAL_CAD_FILE", "priority": 0, "preferProductionFile": true}'Empty